Page MenuHomePhabricator

Enable $wgCentralAuthUseSlaves to avoid master queries
Closed, ResolvedPublic

Description

The following should be done:

  • Enable $wgCentralAuthUseSlaves in betalabs
  • Do any necessary testing
  • Enable in production afterwards

Event Timeline

aaron created this task.Nov 26 2015, 5:21 AM
aaron claimed this task.
aaron raised the priority of this task from to Normal.
aaron updated the task description. (Show Details)
aaron added projects: User-notice, Availability.
aaron added subscribers: Amire80, daniel, Johan and 11 others.

Are we even able to detect regressions? It took years to detect and fix T41996: Accounts magically unattached despite being recently created, while T18864: Auto-login is creating accounts is still open and we have multiple unactioned reports like T104326: Numerous sv.wp users get repeatedly logged out again.

Change 263682 had a related patch set uploaded (by Aaron Schulz):
Set $wgCentralAuthUseSlaves for mw.org and testwiki

https://gerrit.wikimedia.org/r/263682

Luke081515 added a subscriber: Luke081515.

Change 263682 merged by jenkins-bot:
Set $wgCentralAuthUseSlaves for testwiki

https://gerrit.wikimedia.org/r/263682

Change 265178 had a related patch set uploaded (by Aaron Schulz):
Set $wgCentralAuthUseSlaves for loginwiki, mw.org

https://gerrit.wikimedia.org/r/265178

Nemo_bis added a comment.EditedJan 20 2016, 7:48 AM

mediawiki.org is a Translate wiki. Did you test Translate on testwiki?

Edit: nevermind, wrong bug.

Change 265178 merged by jenkins-bot:
Set $wgCentralAuthUseSlaves for loginwiki, mw.org

https://gerrit.wikimedia.org/r/265178

aaron closed this task as Resolved.Feb 17 2016, 12:53 AM